
import com.imsl.chart.JFrameChart;
import com.imsl.chart.xml.ChartXML;
import javax.xml.parsers.DocumentBuilderFactory;
import javax.xml.parsers.DocumentBuilder;
import javax.xml.transform.TransformerFactory;
import javax.xml.transform.Transformer;
import javax.xml.transform.dom.DOMSource;
import javax.xml.transform.dom.DOMResult;
import org.w3c.dom.Document;

public class SampleSalesTransform {

    public static void main(String argv[]) throws Exception {
        String filenameXSL = argv[0];
        String filenameXML = argv[1];

        // Create an XML parser factory
        DocumentBuilderFactory factory =
                DocumentBuilderFactory.newInstance();
        factory.setNamespaceAware(true);
        DocumentBuilder builder = factory.newDocumentBuilder();

        // Parse the XSL file as an XML file
        Document docXSL = builder.parse(filenameXSL);
        DOMSource sourceXSL = new DOMSource(docXSL);
        sourceXSL.setSystemId(filenameXSL);

        // Create a transformation based on the XSL file
        TransformerFactory tFactory = TransformerFactory.newInstance();
        Transformer transformer = tFactory.newTransformer(sourceXSL);

        // Parse the input XML file
        Document docXML = builder.parse(filenameXML);
        DOMSource sourceXML = new DOMSource(docXML);
        sourceXML.setSystemId(filenameXML);

        // Transform the input XML file using the XSL transformer
        DOMResult result = new DOMResult();
        transformer.transform(sourceXML, result);

        // Create a chart from the transformed XML
        ChartXML chartXML = new ChartXML((Document) result.getNode());
        new JFrameChart(chartXML.getChart()).show();
    }
}
